Loading...
Searching...
No Matches
openvdb::v10_0::tools::morphology Namespace Reference

## Classes

class | Morphology
| Dilation/Erosion operations over a Trees leaf level voxel topology. More...

## Functions

template<typename TreeT>
std::enable_if< std::is_same< TreeT, typenameTreeT::templateValueConverter< ValueMask >::Type >::value, typenameTreeT::templateValueConverter< ValueMask >::Type * >::type | getMaskTree (TreeT &tree)
template<typename TreeT>
std::enable_if<!std::is_same< TreeT, typenameTreeT::templateValueConverter< ValueMask >::Type >::value, typenameTreeT::templateValueConverter< ValueMask >::Type * >::type | getMaskTree (TreeT &)

## Function Documentation

## getMaskTree() [1/2]

template<typename TreeT>

std::enable_if<!std::is_same< TreeT, typenameTreeT::templateValueConverter< ValueMask >::Type >::value, typenameTreeT::templateValueConverter< ValueMask >::Type * >::type getMaskTree | ( | TreeT & |  | ) |

## getMaskTree() [2/2]

template<typename TreeT>

std::enable_if< std::is_same< TreeT, typenameTreeT::templateValueConverter< ValueMask >::Type >::value, typenameTreeT::templateValueConverter< ValueMask >::Type * >::type getMaskTree | ( | TreeT & | tree | ) |